Subject: [bug#30257] [PATCH 2/3] scripts: environment: Add --user.

From: [email-masked] (Ludovic Courtès)
Date: Fri, 02 Mar 2018 11:33:45 +0100

Mike Gerwitz <[email-masked]> skribis:

> This change allows overriding the home directory of all filesystem mappings to
> help hide the identity of the calling user in a container.
>
> * doc/guix.texi (Invoking guix environment)[--container]: Mention --user.
> [--user]: Add item.
> * guix/scripts/environment.scm (show-help): Add --user.
> (%options): Add --user.
> (launch-environment/container) Add 'user' parameter.  Update doc.  Override
> 'user-mappings' using 'override-user-mappings'.  Consider override for chdir.
> (mock-passwd, user-override-home, overrid-euser-dir): New procedures.
> (guix-environment): Disallow --user without --container.  Provide user to
> 'launch-environment/container'.
> * tests/guix-environment.sh: Add user test.

Awesome, I moved the test to guix-environment-container.sh and applied.

Ludo’.